### Method

# GLib IOChannel seek

deprecated: 2.2

#### Declaration

    GIOError
    g_io_channel_seek (
      GIOChannel* channel,
      gint64 offset,
      GSeekType type
    )

#### Description

Sets the current position in the `GIOChannel`, similar to the standard library function fseek().

Deprecated since: 2.2

Use `g_io_channel_seek_position()` instead.

#### Parameters

`offset`

  Type: `gint64`

  An offset, in bytes, which is added to the position specified by `type`.

`type`

  Type: `GSeekType`

  The position in the file, which can be `G_SEEK_CUR` (the current position), `G_SEEK_SET` (the start of the file), or `G_SEEK_END` (the end of the file).

#### Return value

Type: `GIOError`

`G_IO_ERROR_NONE` if the operation was successful.